package test.servlet;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@WebServlet("/practice2")
public class Practice2 extends HttpServlet {

	@Override
	protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
		//受信したデータを取り出す
		int price = Integer.parseInt(req.getParameter("product"));
		int quantity = Integer.parseInt(req.getParameter("quantity"));

		//金額を計算する
		int sum = price * quantity;

		//クライアントに出力する準備
		resp.setContentType("text/html; charset=utf-8");
		PrintWriter pw = resp.getWriter();

		//クライアントにHTMLタグを書き出し
		pw.println("<html>");
		pw.println("<head>");
		pw.println("<title>合計金額</title>");
		pw.println("</head>");
		pw.println("<body>");
		pw.println("  購入金額：" + sum + "円<br>");

		//送料の表示をする
		if(sum >= price){
			pw.println("  送料は無料です。");
		}else{
			pw.println("  送料は別途かかります。");
		}
		pw.println("</body>");
		pw.println("</html>");
	}

}
